Get all Events
https://api.propexo.com/crm/v1/events/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the integration
Show 4 enum values
ELISEAIFUNNELRENTCAFEKNOCKThe CRM system of record
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the event
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID of the agent from the integration vendor
This field will always be null for ELISEAI
The external ID of the community from the integration vendor
794033The date the record first entered the integration vendor
This field will always be null for ELISEAI
The external ID from the integration vendor
For Appointment events, this is the EliseAI appointment_id. For all other event types, this is the EliseAI event_id.
apt-001The external ID of the prospect from the integration vendor
clh1234567890abcdefghijThe date when the appointment will occur
2026-06-06T07:25:29.497ZThe duration of the appointment, in minutes
This field will always be null for ELISEAI
custom_data object | nullrequired
The date when the event will occur
2026-06-06T07:25:29.497ZNotes associated with the event
Prospect is interested in a 2BR unit.The raw type associated with the event
AppointmentThe Propexo unique identifier for the agent
This field will always be null for ELISEAI
The Propexo unique identifier for the community
testintegration:crm:clh1234567890abcdefghijThe Propexo unique identifier for the prospect
testintegration:crm:clh1234567890abcdefghijThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe CRM system of record
Show 5 enum values
ELISEAIELISEAIFUNNELRENTCAFEKNOCKELISEAIErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/crm/v1/events/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_agent_id": "string",
"x_community_id": "794033",
"x_created_at": "string",
"x_id": "apt-001",
"x_prospect_id": "clh1234567890abcdefghij",
"appointment_datetime": "2026-06-06T07:25:29.497Z",
"appointment_duration_minutes": 0,
"custom_data": "Unknown Type: object,null",
"event_datetime": "2026-06-06T07:25:29.497Z",
"notes": "Prospect is interested in a 2BR unit.",
"type_raw": "Appointment",
"agent_id": "string",
"community_id": "testintegration:crm:clh1234567890abcdefghij",
"prospect_id": "testintegration:crm:clh1234567890abcdefghij",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ELISEAI"
}
]
}